package tournament;
    
import java.util.List;

public class Tournament {
    private final Game finale;
    private final String name;
    public Tournament(String name, Game finale)
    {
        this.finale = finale;
        this.name = name;
    }

    public List<String> getAllPlayers() {return finale.getAllPlayers();}

    public List<Game> getAllGames() {return finale.getAllGames();}

    public List<String> getRemainingPlayers() {return finale.getRemaningPlayers();}
}
