package doc;

public class Paragraph implements TextComponent{
    private String text;

    public Paragraph(String text){
        this.text = text;
    }

    public String getText(){
        return text;
    }

    public int countWords(){
        int wordCount = 0;
        boolean open = false;

        for(char i : text.toCharArray()){
            if(!open && Character.isAlphabetic(i)){
                open = true;}
            else if(open && !Character.isAlphabetic(i)){
                open = false;
                wordCount ++;
            }
        }
            if(open){
                open = false;
                wordCount++;
            }
            return wordCount;
        }
        
    public <T> T accept(Visitor<T> v){
        return v.visit(this);
    }
}



