package polynomial;

public class PolynomialDemo {

    public static void main(String[] args) {
        //b
        Polynomial p1 = new Polynomial(new int[]{1, 2, 3, 4});
        Polynomial p2 = new Polynomial(new int[]{0, 0, 0});
        Polynomial p3 = new Polynomial(new int[]{3});
        //Polynomial p99 = new Polynomial(new int[]{});

        //c
        System.out.println();
        System.out.println(p1.getDegree());
        System.out.println(p2.getDegree());
        System.out.println(p3.getDegree());

        //f
        System.out.println();
        Polynomial p4 = new Polynomial();
        System.out.println(p4.getDegree());

        //g
        System.out.println();
        Polynomial p5 = Polynomial.constant(5);
        System.out.println(p5.getDegree());

        //h
        System.out.println();
        Polynomial p6 = new Polynomial(new int[]{0, -1, 2, +3, -2, 0, 1});
        System.out.println(p1);
        System.out.println(p2);
        System.out.println(p3);
        System.out.println(p4);
        System.out.println(p5);
        System.out.println(p6);

        //i
        System.out.println();
        Polynomial p7 = p1.add(p6);
        System.out.println(p7);

        //j
        System.out.println();
        Polynomial p8 = p1.sub(p6);
        Polynomial p9 = p6.sub(p6);
        Polynomial p10 = p1.mult(p1);
        Polynomial p11 = p1.mult(p6);
        System.out.println(p8);
        System.out.println(p9);
        System.out.println(p10);
        System.out.println(p11);

        //k
        System.out.println();
        Polynomial p12 = p1.add(5);
        Polynomial p13 = p6.sub(5);
        Polynomial p14 = p1.mult(5);
        System.out.println(p12);
        System.out.println(p13);
        System.out.println(p14);

        //l
        System.out.println();
        Polynomial p15 = p1.exp(5);
        System.out.println(p15);
        System.out.println(p1.mult(p1).mult(p1).mult(p1).mult(p1));

        //m
        System.out.println();
        System.out.println(p1.apply(0));
        System.out.println(p1.apply(1));
        System.out.println(p1.apply(2));
        System.out.println(p6.apply(4));
    }
}
