package logistics;

import logistics.material.BulletBelts;
import logistics.material.Grease;
import logistics.material.LiterDiesel;
import logistics.material.MetGallonsKerosene;
import logistics.material.Oil;
import logistics.material.RocketPods;
import logistics.material.ShellBatches;

public class Demo {
    public static void main(String[] args) {
        final Manager manager = new Manager();
        manager.addVehicle(new Tank("Leo1", 50, 2, 3));
        manager.addVehicle(new Tank("Leo2", 60, 3, 4));
        manager.addVehicle(new Helicopter("Tiger1", 300, 2, 5));
        manager.addVehicle(new Helicopter("Tiger2", 400, 7, 8));
        System.out.println();
        manager.showOverallNeed();
        System.out.println();
        manager.fillUpVehicles();
        manager.showOverallNeed();
        System.out.println();
        manager.logTick(1);
        System.out.println();
        manager.showNeed(LiterDiesel.INSTANCE);
        System.out.println();
        manager.showNeed(MetGallonsKerosene.INSTANCE);
        System.out.println();
        manager.showNeed(BulletBelts.INSTANCE);
        System.out.println();
        manager.showNeed(RocketPods.INSTANCE);
        System.out.println();
        manager.showNeed(ShellBatches.INSTANCE);
        System.out.println();
        manager.showNeed(Oil.INSTANCE);
        System.out.println();
        manager.showNeed(Grease.INSTANCE);
        System.out.println();
        manager.showOverallNeed();
        System.out.println();
    }
}
