package quantities.plain;

public class VelocityUnit extends Unit{

    public VelocityUnit(String name, double baseFactor) {
        super(name, baseFactor);
    }

    public static final VelocityUnit KMH = new VelocityUnit("kmh", 1000/3600); // 1/3.6
    public static final VelocityUnit MPH = new VelocityUnit("mph", 1609.344/3600);
    public static final VelocityUnit METER_PER_SECOND = new VelocityUnit("meter per second", 1);
    
}
