package doc;


public class Image implements TextComponent{
    private String url;
    private String caption;

    public Image(String url, String caption) {

        this.url = url;
        this.caption = caption;
    }

    public int countWords(){
        return 0;
    }

    public String getUrl(){
        return url;
    }

    public String getCaption(){
        return caption;
    }

    public <T> T accept(Visitor<T> v){
        return v.visit(this);
    }
}