package doc;

import java.util.ArrayList;
import java.util.List;

public class TableOfContentsVisitor implements Visitor <List<String>>{

    private String prefix = "1";

    public TableOfContentsVisitor(){
    }

    public void setPrefix(String pre){
        prefix = pre;
    }

    public List<String> visit(Paragraph e){
        return null;

    }

    public List<String> visit(Image e){
        return null;
    }

    /*public List<String> visit(Section e){
        List<String> tabelOfContentsList = new ArrayList<String>();
        List<TextComponent> copied = e.getContents();

        String oldPrefix = prefix;

        if(prefix.length() == 0){
            tabelOfContentsList.add(prefix+ " " + e.getHeader());
        }
        else {
            tabelOfContentsList.add(prefix + " " + e.getHeader());
        }

        int chapter = 1;
        for(TextComponent i : e.getContents()){

            String savedPrefix = prefix;
            setPrefix(prefix + "." + Integer.toString(chapter));

            List<String> returnedContent = i.accept(this);
            if (returnedContent != null){
                tabelOfContentsList.addAll(i.accept(this));
                chapter++;
            }
            setPrefix(savedPrefix);
        }
        setPrefix(oldPrefix);
        return tabelOfContentsList;

    }*/

    //Alternative die immer den aktuellen Stand übergibt und somit auf jeder "Ebene" ein eigener Visitor agiert    

    private int sectionCtr = 1;

    public TableOfContentsVisitor(String prefix) {
        this.prefix = prefix;
    }

    @Override
    public List<String> visit(Section section) {
        final List<String> list = new ArrayList<>();
        sectionCtr++;
        list.add(prefix + sectionCtr + " " + section.getHeader());
        final TableOfContentsVisitor subVisitor =
                new TableOfContentsVisitor(prefix + sectionCtr + ".");
        for (TextComponent c : section.getContents())
            list.addAll(c.accept(subVisitor));
        return list;
    }

}